org.apache.solr.spelling

## Class SpellCheckCollation

- java.lang.Object
- - org.apache.solr.spelling.SpellCheckCollation

- All Implemented Interfaces:
    Comparable<SpellCheckCollation>

      public class SpellCheckCollation
      extends Object
      implements Comparable<SpellCheckCollation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpellCheckCollation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SpellCheckCollation scc)`
    `String` | `getCollationQuery()`
    `int` | `getHits()`
    `int` | `getInternalRank()`
    `NamedList<String>` | `getMisspellingsAndCorrections()`
    `void` | `setCollationQuery(String collationQuery)`
    `void` | `setHits(int hits)`
    `void` | `setInternalRank(int internalRank)`
    `void` | `setMisspellingsAndCorrections(NamedList<String> misspellingsAndCorrections)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpellCheckCollation

          public SpellCheckCollation()

  - ### Method Detail

    - #### compareTo

          public int compareTo(SpellCheckCollation scc)

      Specified by:
        `compareTo` in interface `Comparable<SpellCheckCollation>`

    - #### getMisspellingsAndCorrections

          public NamedList<String> getMisspellingsAndCorrections()

    - #### setMisspellingsAndCorrections

          public void setMisspellingsAndCorrections(NamedList<String> misspellingsAndCorrections)

    - #### getHits

          public int getHits()

    - #### setHits

          public void setHits(int hits)

    - #### getCollationQuery

          public String getCollationQuery()

    - #### setCollationQuery

          public void setCollationQuery(String collationQuery)

    - #### getInternalRank

          public int getInternalRank()

    - #### setInternalRank

          public void setInternalRank(int internalRank)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.